com.hazelcast.query

## Class EntryObject

- java.lang.Object
- - com.hazelcast.query.EntryObject

-     public class EntryObject
      extends Object

  This class provides functionality related to build predicate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryObject(PredicateBuilder qb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PredicateBuilder` | `between(Comparable from, Comparable to)`
    `PredicateBuilder` | `equal(Comparable value)`
    `EntryObject` | `get(String attribute)`
    `PredicateBuilder` | `greaterEqual(Comparable value)`
    `PredicateBuilder` | `greaterThan(Comparable value)`
    `PredicateBuilder` | `in(Comparable... values)`
    `PredicateBuilder` | `is(String attribute)`
    `PredicateBuilder` | `isNot(String attribute)`
    `PredicateBuilder` | `isNotNull()`
    `PredicateBuilder` | `isNull()`
    `EntryObject` | `key()`
    `PredicateBuilder` | `lessEqual(Comparable value)`
    `PredicateBuilder` | `lessThan(Comparable value)`
    `PredicateBuilder` | `notEqual(Comparable value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntryObject

          public EntryObject(PredicateBuilder qb)

  - ### Method Detail

    - #### get

          public EntryObject get(String attribute)

    - #### key

          public EntryObject key()

    - #### is

          public PredicateBuilder is(String attribute)

    - #### isNot

          public PredicateBuilder isNot(String attribute)

    - #### equal

          public PredicateBuilder equal(Comparable value)

    - #### notEqual

          public PredicateBuilder notEqual(Comparable value)

    - #### isNull

          public PredicateBuilder isNull()

    - #### isNotNull

          public PredicateBuilder isNotNull()

    - #### greaterThan

          public PredicateBuilder greaterThan(Comparable value)

    - #### greaterEqual

          public PredicateBuilder greaterEqual(Comparable value)

    - #### lessThan

          public PredicateBuilder lessThan(Comparable value)

    - #### lessEqual

          public PredicateBuilder lessEqual(Comparable value)

    - #### between

          public PredicateBuilder between(Comparable from,
                                          Comparable to)

    - #### in

          public PredicateBuilder in(Comparable... values)

Copyright © 2018. All rights reserved.